Bug 1383353 (gnome-rebase) - Rebase GNOME to 3.22
Summary: Rebase GNOME to 3.22
Status: CLOSED ERRATA
Alias: gnome-rebase
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
Tomas Capek
URL:
Whiteboard:
Keywords: Rebase
Depends On: 1326714 1383614 1384956 1384959 1384965 1384967 abattis-cantarell-fonts-rebase adwaita-icon-theme-rebase alacarte-rebase 1386778 atk-rebase atkmm-rebase at-spi2-atk-rebase at-spi2-core-rebase 1386818 cairo-rebase caribou-rebase cheese-rebase clutter-rebase 1386833 clutter-gtk-rebase cogl-rebase colord-rebase control-center-rebase 1386841 desktop-file-utils-rebase devhelp-rebase 1386846 1386847 1386848 1386850 1386851 1386852 1386853 1386854 1386856 file-roller-rebase folks-rebase gcr-rebase 1386861 1386862 gedit-rebase 1386865 geoclue2-rebase geocode-glib-rebase gettext-rebase gjs-rebase glade-rebase glib2-rebase glibmm24-rebase glib-networking-rebase 1386877 gnome-bluetooth-rebase gnome-boxes-rebase 1386880 1386881 gnome-color-manager-rebase gnome-common-rebase gnome-contacts-rebase gnome-desktop3-rebase 1386888 1386890 gnome-disk-utility-rebase 1386892 1386894 1386895 1386896 1386951 gnome-online-accounts-rebase 1386954 1386955 1386956 1386957 gnome-settings-daemon-rebase gnome-shell-rebase gnome-shell-extensions-rebase 1386961 gnome-system-monitor-rebase 1386964 gnome-themes-standard-rebase 1386966 1386967 1386968 1386969 1386971 gobject-introspection-rebase gom-rebase grilo-rebase grilo-plugins-rebase gsettings-desktop-schemas-rebase 1386978 gtk2-rebase gtk3-rebase gtk-doc-rebase gtkmm30-rebase gtksourceview3-rebase 1386984 1386985 1386987 1386989 1386991 1386993 harfbuzz-rebase itstool-rebase json-glib-rebase libappstream-glib-rebase libchamplain-rebase libcroco-rebase 1387000 1387001 libgdata-rebase libgee-rebase 1387004 1387006 libgnome-keyring-rebase libgtop2-rebase libgweather-rebase 1387010 libmediaart-rebase libnotify-rebase 1387014 libpeas-rebase librsvg2-rebase libsecret-rebase libsoup-rebase 1387020 libwnck3-rebase 1387023 mutter-rebase nautilus-rebase 1387028 1387029 pango-rebase pangomm-rebase pulseaudio-rebase 1387038 pygobject3-rebase rest-rebase 1387041 1387044 1387045 shotwell-rebase 1387047 1387048 totem-pl-parser-rebase tracker-rebase upower-rebase vala-rebase 1387053 1387055 1387056 1387060 1387062 yelp-tools-rebase yelp-xsl-rebase 1387068 1387253 1387270 1388473 1388475 1388476 1388481 1388483 1388484 1388485 1388487 1388490 1388516 1388519 1388527 1388530 1388538 1388539 1388931 1390261 1391018 1391020 1391021 1395724 1403296 1414413 1417104 1420650 1420820 accountsservice-rebase 1425369 1425373 cairomm-rebase gtkmm24-rebase libgusb-rebase 1427916 1428918 1428919 1429577 1429587 1430051 libplist-rebase
Blocks: 1393395
TreeView+ depends on / blocked
 
Reported: 2016-10-10 12:58 UTC by Matthias Clasen
Modified: 2017-08-01 22:41 UTC (History)
22 users (show)

(edit)
GNOME rebased to version 3.22.3

The GNOME Desktop has been updated to upstream version 3.22.3, which provides a number of bug fixes and enhancements over the previous version. Notable changes include:

  * Overhauled desktop notifications
  * Built-in integration with world clocks and media players
  * Automatically adjusting screen brightness (for systems with an integrated light sensor)
  * In many applications, support for a standard dialog to document keyboard shortcuts
  * Improvements to several setting panels (printer, mouse, touchpad, keyboard shortcuts)
  * Option to rename multiple files at once
  * Built-in support for compressed files and for Google Drive
  * Undo support for trash
Clone Of:
(edit)
Last Closed: 2017-08-01 22:41:41 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2098 normal SHIPPED_LIVE gnome-shell-extensions, gnome-shell, mutter bug fix and enhancement update 2017-08-01 19:36:42 UTC
Red Hat Bugzilla 1258015 None None None Never

Internal Trackers: 1258015

Description Matthias Clasen 2016-10-10 12:58:04 UTC
We plan to rebase GNOME to the current stable release as we've done before in 7.2. This bug will be used as a tracker for the rebase effort.

Comment 2 David 2016-10-14 19:38:34 UTC
I did this already in Copr, however you will find that Evolution will not be buildable. The latest WebKitGTK4 that evolution needs can not be built on gcc 4.8, i tried very hard. I was able to build it just fine on gcc 6.2 on el7, but that defeats the purpose.

If evolution and epiphany are not included in the rebase, the rest will build fine however.

My gnome 3.22 Copr for your perusal to see how I did some items:
https://copr.fedorainfracloud.org/coprs/duh/GNOME_3.22_for_RHEL_and_CentOS_7.x/

Comment 3 Niclas Moeslund Overby 2017-03-11 22:19:40 UTC
What reasons are there to rebase to 3.22 and not 3.24?

Comment 4 Matthias Clasen 2017-03-15 09:55:51 UTC
We are rebasing to the newest version that has had sufficient testing and validation in a Fedora release. 3.24 is not even released yet.

Comment 12 errata-xmlrpc 2017-08-01 22:41:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2098


Note You need to log in before you can comment on or make changes to this bug.